	ifndef _config819_asm
		#define _config819_asm


	; PIC 16F819 configuration file
			
			banksel			TRISA

	; --- PORTA (85h)------------------
	; RA7 (OSC1, CLKI)           -
	; RA6 (OSC2, CLKO)           -   
	; RA5 (MCLR, VPP)            - Servo5
	; RA4 (AN4, T0CKI)           - Servo4
	; RA3 (AN3, VREF+)           - Servo3
	; RA2 (AN2, VREF-)           - Servo2
	; RA1 (AN1)                  - Servo1
	; RA0 (AN0)                  - Servo0 

			movlw			B'00000000'
			movwf			TRISA

	; --- PORTB (86h)------------------
	; RB7 (T1OSI, PGD)           - Servo7
	; RB6 (T1OSO, T1CKI, PGC)    - Servo6
	; RB5 (/SS)                  - DEBUG_PIN
	; RB4 (SCK, SCL)             - I2C SCK
	; RB3 (CCP1, PGM)            - A2
	; RB2 (CCP1, SDO)            - A1
	; RB1 (SDI, SDA)             - I2C SDA
	; RB0 (INT)                  - A0

			movlw			B'00011111'
			movwf			TRISB

	; --- INTCON Register (0Bh, 8Bh, 10Bh, 18Bh)--------
	; GIE    - 0 Global Interrupt Enable
	; PEIE   - 0 Peripheral Interrupt Enable
	; TMR0IE - 0 TMR0 Overflow Interrupt Enable
	; INTE   - 0 INT(RB0) External Interrupt Enable
	; RBIE   - 0 RB(7:4) Port Change Interrupt Enable
	; TMR0IF - 0 TMR0 Overflow Interrupt Flag
	; INTF   - 0 INT(RB0) External Interrupt Flag
	; RBIF   - 0 RB(7:4) Port Change Interrupt Flag

			movlw			B'00000000'
			movwf			INTCON

	; --- OPTION Register (81h, 181h)--------
	; /RBPU  - 0 PORTB Pull-up Enable bit
	; INTEDG - 1 External Interrupt 0 Edge Select bit RB0/INT0
	; T0CS   - 0 TMR0 Clock Source Select bit
	; T0SE   - 0 TMR0 Source Edge Select bit
	; PSA    - 0 Prescaler Assignment bit (1-WDT, 0-TMR0)
	; PS2    - 1 -+
	; PS1    - 1  +- Prescaler Rate Select bits   
	; PS0    - 1 -+

			movlw			B'01000111'
			movwf			OPTION_REG

; *******************************************************************************

	; --- PIE1 Register - Peripheral Interrupt Enable Register 1 (8Ch)----------
	; N/A    - 0 
	; ADIE   - 0 A/D Converter Interrupt Enable
	; N/A    - 0 
	; N/A    - 0 
	; SSPIE  - 1 Synchronous Serial Port Interrupt Enable
	; CCP1IE - 0 CCP1 Interrupt Enable
	; TMR2IE - 0 TMR2 to PR2 Match Interrupt Enable
	; TMR1IE - 0 TMR1 Overflow Interrupt Enable

			movlw			B'00001000'
			movwf			PIE1
				
	; --- PIE2 Register - Peripheral Interrupt Enable Register 2 (8Dh)----------
	; N/A    - 0 
	; N/A    - 0 
	; N/A    - 0 
	; EEIE   - 0 EEPROM Write Operation Interrupt Enable
	; N/A    - 0 
	; N/A    - 0 
	; N/A    - 0 
	; N/A    - 0 

			movlw			B'00000000'
			movwf			PIE2

; *******************************************************************************

			banksel			PIR1

	; --- PIR1 Register - Peripheral Interrupt Request Flag Register 1 (0Ch)--------
	; N/A    - 0 
	; ADIF   - 0 A/D Converter Interrupt Flag bit
	; N/A    - 0 
	; N/A    - 0 
	; SSPIF  - 0 Synchronous Serial Port (SSP) Interrupt Flag bit
	; CCP1IF - 0 CCP1 Interrupt Flag bit
	; TMR2IF - 0 TMR2 to PR2 Match Interrupt Flag bit
	; TMR1IF - 0 TMR1 Overflow Interrupt Flag bit

			movlw			B'00000000'
			movwf			PIR1

	; --- PIR2 Register - Peripheral Interrupt Request Flag Register 2 (0Dh)--------
	; N/A    - 0 
	; N/A    - 0 
	; N/A    - 0 
	; EEIF   - 0 EEPROM Write Operation Interrupt Flag bit
	; N/A    - 0 
	; N/A    - 0 
	; N/A    - 0 
	; N/A    - 0 

			movlw			B'00000000'
			movwf			PIR2

	endif
