	ifndef _I2C_Servo_h
		#define _I2C_Servo_h

; System Definitions
; BASE_ADDR defines the base I2C addres of this chip with address 0
; in the form BBBBAAAX where B is the base address A is the selected
; device address via A0-A2 and X is ignored and must be 0
#define		BASE_ADDR			B'00110000'

#define		Servo0			PORTA, 0
#define		Servo1			PORTA, 1
#define		Servo2			PORTA, 2
#define		Servo3			PORTA, 3
#define		Servo4			PORTA, 4
#define		Servo5			PORTA, 5
#define		Servo6			PORTB, 6
#define		Servo7			PORTB, 7

#define		A0				PORTB, 0
#define		A1				PORTB, 2
#define		A2				PORTB, 3

#define		DEBUG_PIN			PORTB, 5

; EEPROM Config / PowerUp Config Bits
#define		isConfigured		7
#define		StartWithOnOffMask	2
#define		StartWithPosition	1
#define		StartWithTrim		0

; ServoStatus Bits 
#define		TIMER_EVENT		7
#define		Ignore_Rest		6
#define		I2C_DATA_FLAG		0

SaveFSR macro
			movf				FSR, w
			movwf			FSR_TEMP
	endm

RestoreFSR macro 
			movf				FSR_TEMP, w
			movwf			FSR
	endm	

SetFSR macro Label
			movlw			Label
			movwf			FSR
			bankisel			Label
	endm

Bank0 macro
			bcf				STATUS, RP1
			bcf				STATUS, RP0
	endm
		
	endif
